GNU bug report logs - #6295
GUD not responding when breakpoint inside try/catch

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Marc Ferland <marc@HIDDEN>; Keywords: moreinfo; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 6295 <at> debbugs.gnu.org and Marc Ferland <marc@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 6295 <at> debbugs.gnu.org:


Received: (at 6295) by debbugs.gnu.org; 6 Jun 2022 17:19:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 06 13:19:17 2022
Received: from localhost ([127.0.0.1]:36678 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nyGNp-0004m4-Og
	for submit <at> debbugs.gnu.org; Mon, 06 Jun 2022 13:19:17 -0400
Received: from quimby.gnus.org ([95.216.78.240]:42590)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nyGNk-0004lb-Kl
 for 6295 <at> debbugs.gnu.org; Mon, 06 Jun 2022 13:19:16 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=36qkqnbxKVBtLW/iUBmj6VeGSxbyFFB2efQ7aRA7NSQ=; b=UEQP+XDBIKx+Ua5IgOVTuU0DL1
 i/Tt2K7GNp1dIteFoIAQPowfgjdZHvOsegqfgRl1gaxsH0BMs8kfkMJvRmEgTDa6m5fz/K2SbB3wn
 otqa0/xGyLp9gJoM+uavRx8wJwWLJGQMw+A5giFwGGImXoKk/iRw8qJOoDI6csRb+Qts=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nyGNb-00063H-Nq; Mon, 06 Jun 2022 19:19:06 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Marc Ferland <marc@HIDDEN>
Subject: Re: bug#6295: GUD not responding when breakpoint inside try/catch
References: <86ocg09d52.wl%marc@HIDDEN> <87tu9y4vok.fsf@HIDDEN>
X-Now-Playing: Kelly Lee Owens's _Inner Song_: "Night"
Date: Mon, 06 Jun 2022 19:19:02 +0200
In-Reply-To: <87tu9y4vok.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Mon,
 09 May 2022 16:39:23 +0200")
Message-ID: <87leu9r9q1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Lars Ingebrigtsen <larsi@HIDDEN> writes: > Are you still
 seeing this issue in recent Emacs versions? (I can't > recall seeing any
 similar reports.) More information was requested, but no response was given
 within a month, so I'm closing this bug report. If the problem still exists,
 please respond to this email and we'll reopen the bug report. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 6295
Cc: 6295 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Are you still seeing this issue in recent Emacs versions?  (I can't
> recall seeing any similar reports.)

More information was requested, but no response was given within a
month, so I'm closing this bug report.  If the problem still exists,
please respond to this email and we'll reopen the bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6295; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 6295 <at> debbugs.gnu.org:


Received: (at 6295) by debbugs.gnu.org; 9 May 2022 14:39:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 09 10:39:33 2022
Received: from localhost ([127.0.0.1]:59071 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1no4Xt-0000QP-D8
	for submit <at> debbugs.gnu.org; Mon, 09 May 2022 10:39:33 -0400
Received: from quimby.gnus.org ([95.216.78.240]:43052)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1no4Xr-0000QA-Ug
 for 6295 <at> debbugs.gnu.org; Mon, 09 May 2022 10:39:32 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=L7xBWS9JiDpXwO5xOToAqjegq22YHY/KRBQFLyOptvY=; b=YGziqCfV9BuI4u2Hn2CAgwuzSp
 hBo5mXeaxE+4oqmLxsbFBdZ70SuRSTYzLxXlF2NFmW2exnpKTDKbXXixZtGE6idCipIUgFPqlbodE
 ZemDZ95LtY7p/LdrruPn4sSuuto2MtK1Zq7BatqS5h5x+dggKFc+m7DSMSKy4mRQhi00=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1no4Xk-0006tV-07; Mon, 09 May 2022 16:39:26 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Marc Ferland <marc@HIDDEN>
Subject: Re: bug#6295: GUD not responding when breakpoint inside try/catch
References: <86ocg09d52.wl%marc@HIDDEN>
X-Now-Playing: King Crimson's _Beat_: "Two Hands"
Date: Mon, 09 May 2022 16:39:23 +0200
In-Reply-To: <86ocg09d52.wl%marc@HIDDEN> (Marc Ferland's message of
 "Fri, 28 May 2010 12:58:33 -0400")
Message-ID: <87tu9y4vok.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Marc Ferland <marc@HIDDEN> writes: > When debugging
 my C++ application, if I set a breakpoint inside a > try/catch clause, GUD
 prints the following error message when hitting > the breakpoint: > > error
 in process filter: gdb-stack-lis [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 6295
Cc: 6295 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Marc Ferland <marc@HIDDEN> writes:

> When debugging my C++ application, if I set a breakpoint inside a
> try/catch clause, GUD prints the following error message when hitting
> the breakpoint:
>
> error in process filter: gdb-stack-list-locals-handler: Stack overflow
> in regexp matcher
> error in process filter: Stack overflow in regexp matcher
>
> After this point, GUD doesn't responds to commands (i.e.: C-c,
> gud-next, etc.) and I am forced to restart everything by killing gdb
> and my application.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

Are you still seeing this issue in recent Emacs versions?  (I can't
recall seeing any similar reports.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6295; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 May 2010 17:12:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 28 13:12:51 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OI373-0008LX-R2
	for submit <at> debbugs.gnu.org; Fri, 28 May 2010 13:12:51 -0400
Received: from mx10.gnu.org ([199.232.76.166])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <marc@HIDDEN>) id 1OI2wK-0008Gy-Ax
	for submit <at> debbugs.gnu.org; Fri, 28 May 2010 13:01:45 -0400
Received: from lists.gnu.org ([199.232.76.165]:42209)
	by monty-python.gnu.org with esmtps
	(TLS-1.0:DHE_RSA_AES_256_CBC_SHA1:32) (Exim 4.60)
	(envelope-from <marc@HIDDEN>) id 1OI2wF-0005V2-Nk
	for submit <at> debbugs.gnu.org; Fri, 28 May 2010 13:01:39 -0400
Received: from [140.186.70.92] (port=34272 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1OI2wE-0002Wc-G4
	for bug-gnu-emacs@HIDDEN; Fri, 28 May 2010 13:01:39 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_NONE
	autolearn=unavailable version=3.3.1
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.69)
	(envelope-from <marc@HIDDEN>) id 1OI2wC-00023h-TC
	for bug-gnu-emacs@HIDDEN; Fri, 28 May 2010 13:01:37 -0400
Received: from oproxy2-pub.bluehost.com ([67.222.39.60]:40796
	helo=outbound-mail-360.bluehost.com)
	by eggs.gnu.org with smtp (Exim 4.69)
	(envelope-from <marc@HIDDEN>) id 1OI2wC-00022X-HP
	for bug-gnu-emacs@HIDDEN; Fri, 28 May 2010 13:01:36 -0400
Received: (qmail 19190 invoked by uid 0); 28 May 2010 17:01:34 -0000
Received: from unknown (HELO box660.bluehost.com) (66.147.244.160)
	by oproxy2.bluehost.com with SMTP; 28 May 2010 17:01:34 -0000
DomainKey-Signature: a=rsa-sha1; q=dns; c=nofws; s=default; d=mferland.net;
	h=Received:Date:Message-ID:From:To:Subject:User-Agent:MIME-Version:Content-Type:X-Identified-User;
	b=GDzIBgM5HAo3Cu/5mKdl1w+TI2gbonMywED5Z8bBLo8/8TC6mjS68TyoFIyVvq75RPG+pamUbSuWJAcMnPmpqrbMxKGbJ+701OhXzDRJKX5T/AGY5omzjakWXZNeQdmE;
Received: from c75.152.91-94.clta.globetrotter.net ([75.152.91.94]
	helo=mfedesk.Sonatest.net.mferland.net)
	by box660.bluehost.com with esmtpsa (TLSv1:AES256-SHA:256)
	(Exim 4.69) (envelope-from <marc@HIDDEN>) id 1OI2wA-0000Wg-9S
	for bug-gnu-emacs@HIDDEN; Fri, 28 May 2010 11:01:34 -0600
Date: Fri, 28 May 2010 12:58:33 -0400
Message-ID: <86ocg09d52.wl%marc@HIDDEN>
From: Marc Ferland <marc@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: GUD not responding when breakpoint inside try/catch
User-Agent: Wanderlust/2.14.0 (Africa) SEMI/1.14.6 (Maruoka) FLIM/1.14.9
	(=?UTF-8?B?R29qxY0=?=) APEL/10.7 Emacs/23.1 (x86_64-pc-linux-gnu)
	MULE/6.0 (HANACHIRUSATO)
MIME-Version: 1.0 (generated by SEMI 1.14.6 - "Maruoka")
Content-Type: text/plain; charset=US-ASCII
X-Identified-User: {1807:box660.bluehost.com:mferland:mferland.net}
	{sentby:smtp auth 75.152.91.94 authed with marc@HIDDEN}
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6,
	seldom 2.4 (older, 4)
X-Spam-Score: -5.9 (-----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 28 May 2010 13:12:48 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.9 (-----)

Hi,

I hope this is the right mailing list for posting this.

I am currently running: GNU Emacs 23.1.1 (x86_64-pc-linux-gnu, GTK+
Version 2.18.3) of 2010-03-26 on crested, modified by Debian.

When debugging my C++ application, if I set a breakpoint inside a
try/catch clause, GUD prints the following error message when hitting
the breakpoint:

error in process filter: gdb-stack-list-locals-handler: Stack overflow in regexp matcher
error in process filter: Stack overflow in regexp matcher

After this point, GUD doesn't responds to commands (i.e.: C-c,
gud-next, etc.) and I am forced to restart everything by killing gdb
and my application.

Setting a breakpoint outside try/catch clauses causes no trouble at
all. Running gdb from the shell and setting breakpoints inside
try/catch also works correctly.

$ gdb --version
GNU gdb (GDB) 7.0-ubuntu

$ g++ --version
g++ (Ubuntu 4.4.1-4ubuntu9) 4.4.1

Regards,

Marc




Acknowledgement sent to Marc Ferland <marc@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6295; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 6 Jun 2022 17:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.